> For the complete documentation index, see [llms.txt](https://docs.nlx.ai/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nlx.ai/platform/developers/conversation-api/mcp/models.md).

# Models

## The ListToolsResult object

```json
{"openapi":"3.0.3","info":{"title":"NLX Model Context Protocol (MCP) API","version":"1.0.0"},"components":{"schemas":{"ListToolsResult":{"type":"object","properties":{"tools":{"type":"array","items":{"$ref":"#/components/schemas/Tool"}}}},"Tool":{"type":"object","required":["name","inputSchema"],"properties":{"name":{"type":"string","description":"The name of the tool."},"description":{"type":"string","description":"A human-readable description of the tool's purpose."},"inputSchema":{"type":"object","description":"A JSON Schema object defining the expected parameters.","additionalProperties":true}}}}}}
```

## The Tool object

```json
{"openapi":"3.0.3","info":{"title":"NLX Model Context Protocol (MCP) API","version":"1.0.0"},"components":{"schemas":{"Tool":{"type":"object","required":["name","inputSchema"],"properties":{"name":{"type":"string","description":"The name of the tool."},"description":{"type":"string","description":"A human-readable description of the tool's purpose."},"inputSchema":{"type":"object","description":"A JSON Schema object defining the expected parameters.","additionalProperties":true}}}}}}
```

## The CallToolRequest object

```json
{"openapi":"3.0.3","info":{"title":"NLX Model Context Protocol (MCP) API","version":"1.0.0"},"components":{"schemas":{"CallToolRequest":{"type":"object","properties":{"arguments":{"type":"object","description":"The arguments to pass to the tool, matching its inputSchema.","additionalProperties":true},"stream":{"type":"boolean","default":false,"description":"Set to true to receive an SSE stream of the tool's output."}}}}}}
```

## The CallToolResult object

```json
{"openapi":"3.0.3","info":{"title":"NLX Model Context Protocol (MCP) API","version":"1.0.0"},"components":{"schemas":{"CallToolResult":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/ToolContent"}},"isError":{"type":"boolean","default":false,"description":"Indicates if the tool execution failed."}}},"ToolContent":{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["text","image","resource"]},"text":{"type":"string","description":"The text content (if type is text)."},"data":{"type":"string","description":"Base64 encoded data (if type is image)."},"mimeType":{"type":"string","description":"The MIME type of the content."}}}}}}
```

## The ToolContent object

```json
{"openapi":"3.0.3","info":{"title":"NLX Model Context Protocol (MCP) API","version":"1.0.0"},"components":{"schemas":{"ToolContent":{"type":"object","required":["type"],"properties":{"type":{"type":"string","enum":["text","image","resource"]},"text":{"type":"string","description":"The text content (if type is text)."},"data":{"type":"string","description":"Base64 encoded data (if type is image)."},"mimeType":{"type":"string","description":"The MIME type of the content."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nlx.ai/platform/developers/conversation-api/mcp/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
